# PlotMM::VScale Class Reference

Inheritance diagram for PlotMM::VScale:
[legend]
Collaboration diagram for PlotMM::VScale:

[legend]
List of all members.

## Detailed Description

Class to draw a vertical scale.

## Public Member Functions

| VScale (Gtk::PositionType p, ScaleLabels *l=0)
virtual | ~VScale ()
void | set_position (Gtk::PositionType p)
Gtk::PositionType | position () const
void | set_ticklengths (int major, int minor)
int | major_ticklength () const
int | minor_ticklength () const
void | set_enabled (bool b)
bool | enabled () const
const DoubleIntMap & | scale_map () const
void | set_range (double l, double r)
void | set_range (double l, double r, bool lg)
void | set_autoscale (bool b)
bool | autoscale () const
void | autoscale (double min, double max)
void | begin_autoscale ()
void | end_autoscale ()

## Public Attributes

SigC::Signal1< void, bool > | signal_enabled

## Protected Member Functions

virtual void | redraw ()
virtual void | on_tick_change ()
virtual void | on_realize ()
virtual bool | on_expose_event (GdkEventExpose *event)

## Protected Attributes

Glib::RefPtr< Gdk::GC > | gc_
Glib::RefPtr< Gdk::Window > | window_
Glib::RefPtr< Gdk::Window > | labwin_
ScaleLabels * | labels_
ScaleDiv | scaleDiv_
DoubleIntMap | scaleMap_

## Constructor & Destructor Documentation

VScale::VScale | ( | Gtk::PositionType | p,
|  | ScaleLabels * | l = `0`
| ) |

Constructor

See also:
  Scale::Scale()

VScale::~VScale | ( |  | ) | `[virtual]`

| Destructor

## Member Function Documentation

void Scale::autoscale | ( | double | min,
|  | double | max
| ) | `[inherited]`

| Add autoscale information The given minimum and maximum value extend the current autoscale information. Call end_autoscale() when finished.

bool PlotMM::Scale::autoscale | ( |  | ) | const`[inherited]`

| Query if autoscaling is enabled.

void Scale::begin_autoscale | ( |  | ) | `[inherited]`

| Reset autoscale information Before updating autoscale information with autoscale(min,max), begin_autoscale must be called to reset the old autoscale information. Call end_autoscale() when finished.

bool PlotMM::Scale::enabled | ( |  | ) | const`[inherited]`

| Query if the scale is enabled (i.e. visible).

void Scale::end_autoscale | ( |  | ) | `[inherited]`

Finish update of autoscale information

After updating autoscale information with autoscale(min,max) this function sets the new range of values.

See also:
  set_range

int PlotMM::Scale::major_ticklength | ( |  | ) | const`[inherited]`

| Return the major ticklength.

int PlotMM::Scale::minor_ticklength | ( |  | ) | const`[inherited]`

| Return the minor ticklength.

bool Scale::on_expose_event | ( | GdkEventExpose * | event | ) | `[protected, virtual, inherited]`

| Handles an expose event

void Scale::on_realize | ( |  | ) | `[protected, virtual, inherited]`

| Do the necessary initializations when window is realized.

void VScale::on_tick_change | ( |  | ) | `[protected, virtual]`

| Requests a size for the drawingarea that can hold the major tick Reimplemented from PlotMM::Scale.

Gtk::PositionType PlotMM::Scale::position | ( |  | ) | const`[inherited]`

| Return where the scale is positioned.

void VScale::redraw | ( |  | ) | `[protected, virtual]`

| Draws the scale Implements PlotMM::Scale.

const DoubleIntMap& PlotMM::Scale::scale_map | ( |  | ) | const`[inherited]`

| Query the ScaleMap used by this scale.

void Scale::set_autoscale | ( | bool | b | ) | `[inherited]`

| Turn on autoscaling

void Scale::set_enabled | ( | bool | b | ) | `[inherited]`

| Enable drawing of scales If scale drawing is disabled, no space will be occupied and nothing will be displayed. If a ScaleLabels instance was specified, the ScaleLabels will also be disabled. To re-enable Scale and ScaleLabels drawing, call this function with true.

void Scale::set_position | ( | Gtk::PositionType | p | ) | `[inherited]`

Change the position of the Scale (may not work)

Todo:
  check this out

void Scale::set_range | ( | double | l,
|  | double | r,
|  | bool | lg
| ) | `[inherited]`

| Set the range of double values the scale represents. To make the scale logarithmic, true can be given as the third argument. After setting the new range, the scale is redrawn.

void Scale::set_range | ( | double | l,
|  | double | r
| ) | `[inherited]`

| Set the range of double values the scale represents. To make the scale logarithmic, true can be given as the third argument. After setting the new range, the scale is redrawn.

void Scale::set_ticklengths | ( | int | major,
|  | int | minor
| ) | `[inherited]`

| Set the length of major and minor ticks

## Member Data Documentation

SigC::Signal1<void,bool> PlotMM::Scale::signal_enabled`[inherited]`

This signal is thrown whenever the scale is enabled or disabled

See also:
  set_enabled, enabled